Go to the latest version of this document.

# ``twisted`.`cred`.`portal``

module documentation
(source)

The point of integration of application and authentication.

Interface | `IRealm` | The realm connects application-specific objects to the authentication system.
Class | `Portal` | A mediator between clients and a realm.
Type Alias | `_InterfaceItself` | Undocumented
Type Alias | `_requestResult` | Undocumented

_InterfaceItself = (source)

Undocumented

Value

    type[Interface]

_requestResult = (source)

Undocumented

Value

    tuple[_InterfaceItself, object, Callable[[], None]]